package xbc.formula.engine.exp.datatype;

/**
 * 运算类型表达式树的运算类型
 * 
 * @author leichangchun
 */
public class XbcExpExpOpKind {
    public static final int ASN_OK      = 1;     /* =                           */
    public static final int MPTASN_OK   = 2;     /* *=                          */
    public static final int DIVASN_OK   = 3;     /* /=                          */
    public static final int MODASN_OK   = 4;     /* %=                          */
    public static final int PLSASN_OK   = 5;     /* +=                          */
    public static final int MNSASN_OK   = 6;     /* -=                          */
    public static final int S2LASN_OK   = 7;     /* <<=                         */
    public static final int S2RASN_OK   = 8;     /* >>=                         */
    public static final int BANDASN_OK  = 10;    /* &=                          */
    public static final int BXORASN_OK  = 11;    /* ^=                          */
    public static final int BORASN_OK   = 12;    /* |=                          */
    public static final int MPT_OK      = 13;    /* *                           */
    public static final int DIV_OK      = 14;    /* /                           */
    public static final int MOD_OK      = 15;    /* %                           */
    public static final int PLS_OK      = 16;    /* +                           */
    public static final int MNS_OK      = 17;    /* -                           */
    public static final int S2L_OK      = 18;    /* <<                          */
    public static final int S2R_OK      = 19;    /* >>                          */
    public static final int BAND_OK     = 21;    /* &                           */
    public static final int BXOR_OK     = 22;    /* ^                           */
    public static final int BOR_OK      = 23;    /* |                           */
    public static final int BNOT_OK     = 24;    /* ~                           */
    public static final int QRY_OK      = 25;    /* ?                           */
    public static final int OR_OK       = 26;    /* ||                          */
    public static final int AND_OK      = 27;    /* &&                          */
    public static final int EQ_OK       = 28;    /* ==                          */
    public static final int NEQ_OK      = 29;    /* !=                          */
    public static final int LT_OK       = 30;    /* <                           */
    public static final int GT_OK       = 31;    /* >                           */
    public static final int LEQ_OK      = 32;    /* <=                          */
    public static final int GEQ_OK      = 33;    /* >=                          */
    public static final int NOT_OK      = 34;    /* !                           */
    public static final int PRD_OK      = 35;    /* .                           */
    public static final int FUNC_OK     = 37;    /* () function                 */
    public static final int SQB_OK      = 38;    /* {                           */
    public static final int CMM_OK      = 39;    /*                             */
    public static final int PREINC_OK   = 40;    /* ++ var                      */
    public static final int AFTINC_OK   = 41;    /* var ++                      */
    public static final int PREDEC_OK   = 42;    /* -- var                      */
    public static final int AFTDEC_OK   = 43;    /* var --                      */
    public static final int ITV_OK      = 44;    /* 层差计算                       */
    public static final int DIV0_OK     = 45;    /* div0                        */
    public static final int AT_OK       = 50;    /* @                           */
    public static final int IF_OK       = 60;    /* if                          */
    public static final int FOR_OK      = 61;    /* for循环                       */
    public static final int BREAK_OK    = 62;    /* break                       */
    public static final int CONTINUE_OK = 63;    /* continue                    */
    public static final int WHILE_OK    = 64;    /* while                       */
    public static final int EXIT_OK     = 66;    /* exit                        */
    public static final int NEW_OK      = 67;    /* new                         */
    public static final int INVOKE_OK   = 68;    /* invoke                      */
    public static final int NULL_OK     = 99;    /* null op                     */
}
