package xbc.formula.engine.exp.vo;

import xbc.formula.engine.exp.datatype.XbcExpExpTree;


/**
 * 用于层差表达式计算的数据对象
 * 
 * @author leichangchun
 */
public class XbcExpIntervalVo {

    public static final int OPEN_INTERVAL = 1; // 开区间
    public static final int CLOSE_INTERVAL = 2; // 闭区间

    public int startType; // 起点的区间类型
    public int endType; // 终点的区间类型

    public XbcExpExpTree startExp; // 起点表达式
    public XbcExpExpTree endExp; // 终点表达式

    public XbcExpExpTree valueExp; // 取值表达式

    public int token; // > >= < <=
}
