package xbc.formula.fmlmgr.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import xbc.formula.engine.fml.vo.XbcFmlFormulaVo;
import xbc.formula.fmlmgr.logic.FormulaLogic;
import xbc.formula.fmlmgr.service.FormulaService;

@Service
public class FormulaServiceImpl implements FormulaService {
	
	@Autowired
	private FormulaLogic formulaLogic;

	@Override
	public XbcFmlFormulaVo getFormulaByCode(String formulaCode) {
		XbcFmlFormulaVo fv = formulaLogic.getFormulaByCode(formulaCode);
		return fv;
	}

}
