package xbc.formula.engine.exp.exception;

/**
 * 计算参数校验、表达式此法分析、语法分析、执行过程中出现的异常的抽象定义
 * 
 * @author leichangchun
 */
public abstract class XbcExpAbstractException extends RuntimeException {

	private static final long serialVersionUID = -7287027670481134776L;

    public XbcExpAbstractException(String message) {
        super(message);
    }
    
    public XbcExpAbstractException(Throwable cause, String message) {
        super(message);
        initCause(cause);
    }
}
