package xbc.formula.engine.exp.vo;

public class XbcExpDrawnInfoVo {
    public static final int VARIABLE_TYPE = 1;
    public static final int CONSTANT_NUMERIC_TYPE = 2;
    public static final int CONSTANT_STRING_TYPE = 3;
    public static final int OPERATOR_TYPE = 4;
    public static final int FUNCTION_TYPE = 5;
    public static final int SPACE_TYPE = 8;
    public static final int COMMENT_TYPE = 9;
    /**
     * 开始位置， 0 为起点
     */
    private int start;
    /**
     * 结束位置
     */
    private int end;
    /**
     * 内容
     */
    private String text;
    /**
     * 类型： 变量，常量，运算符，空白，注释
     */
    private int type;

    public int getStart() {
        return start;
    }

    public void setStart(int start) {
        this.start = start;
    }

    public int getEnd() {
        return end;
    }

    public void setEnd(int end) {
        this.end = end;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }
}
