package xbc.formula.engine.fml.vo;

/**
 * 指标数据对象
 * 
 * @author leichangchun
 */
public class XbcFmlFormulaIndicatorVo {
    // 指标类型
    public static final int SPECIFIED_TYPE = 1; // 指定值
    public static final int SCRIPT_TYPE = 2;    // 脚本
    public static final int FORMULA_TYPE = 3;   // 公式
    public static final int PARAM_TYPE = 4;     // 参数
    public static final int FUNC_TYPE = 5;      // 函数

    private long keyId;
    private int indicatorType;
    private String indicatorName;
    private String indicatorCode;
    private String specifiedVal;
    private String indicatorComment;
    private XbcFmlFormulaVo formulaVo;
    private Object result;
    
	public long getKeyId() {
		return keyId;
	}
	public void setKeyId(long keyId) {
		this.keyId = keyId;
	}
	public int getIndicatorType() {
		return indicatorType;
	}
	public void setIndicatorType(int indicatorType) {
		this.indicatorType = indicatorType;
	}
	public String getIndicatorName() {
		return indicatorName;
	}
	public void setIndicatorName(String indicatorName) {
		this.indicatorName = indicatorName;
	}
	public String getIndicatorCode() {
		return indicatorCode;
	}
	public void setIndicatorCode(String indicatorCode) {
		this.indicatorCode = indicatorCode;
	}
	public String getSpecifiedVal() {
		return specifiedVal;
	}
	public void setSpecifiedVal(String specifiedVal) {
		this.specifiedVal = specifiedVal;
	}
	public String getIndicatorComment() {
		return indicatorComment;
	}
	public void setIndicatorComment(String indicatorComment) {
		this.indicatorComment = indicatorComment;
	}
	public XbcFmlFormulaVo getFormulaVo() {
		return formulaVo;
	}
	public void setFormulaVo(XbcFmlFormulaVo formulaVo) {
		this.formulaVo = formulaVo;
	}
	public static int getSpecifiedType() {
		return SPECIFIED_TYPE;
	}
	public static int getScriptType() {
		return SCRIPT_TYPE;
	}
	public static int getFormulaType() {
		return FORMULA_TYPE;
	}
	public static int getParamType() {
		return PARAM_TYPE;
	}
	public static int getFuncType() {
		return FUNC_TYPE;
	}
	public Object getResult() {
		return result;
	}
	public void setResult(Object result) {
		this.result = result;
	}
}
