package xbc.formula.fmlmgr.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import xbc.formula.engine.fml.vo.XbcFmlFormulaVo;
import xbc.formula.fmlmgr.service.FormulaService;

@RestController
@RequestMapping("/formulamanager")
public class FormulaController {
	
	@Autowired
	private FormulaService formulaService;

	@GetMapping("/get_formula_by_code")
	XbcFmlFormulaVo getFormulaByCode(@RequestParam("formulaCode") String formulaCode) {
		XbcFmlFormulaVo fv = formulaService.getFormulaByCode(formulaCode);
		return fv;
	}
}
