package xbc.formula.framework.interceptor;

import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

import xbc.formula.framework.exception.FormulaException;
import xbc.formula.framework.vo.ResponseVo;

@RestControllerAdvice
public class ExceptionResponseHandler {

    @ExceptionHandler(FormulaException.class)
    public ResponseVo checkExceptionHandler(FormulaException ax) {
        return ResponseVo.fail(ax.getMessage());
    }

    @ExceptionHandler(Exception.class)
    public ResponseVo exceptionHandler(Exception x) {
    	x.printStackTrace();
        return ResponseVo.fail("系统发生预想外异常，请联系管理员处理。");
    }
}
